/*
 * BlinkMKnock -- piezo trigger blinkM light scripts
 *                adapted from Arduino "Knock" example
 *
 *
 * BlinkM connections to Arduino
 * PWR - -- gnd -- black -- Gnd
 * PWR + -- +5V -- red   -- 5V
 * I2C d -- SDA -- green -- Analog In 4
 * I2C c -- SCK -- blue  -- Analog In 5
 *
 *
 * Note: This sketch sends to the I2C "broadcast" address of 0, 
 *       so all BlinkMs on the I2C bus will respond.
 *
 * 2008, Tod E. Kurt, ThingM, http://thingm.com/
 */


#include "Wire.h"
#include "BlinkM_funcs.h"


#define knockSensorPin  0  // the knock sensor will be plugged at analog pin 0
#define ledPin 13          // led connected to control pin 13

#define blinkm_addr 0x00 // the address of the BlinkM  we're going talking to

int statePin = LOW;   // variable used to store the last status LED state
int THRESHOLD = 100;  // set minimum value that indicates a knock
int val = 0;       // variable to store the value coming from the sensor
int t = 0;         // the "time" measured for how long the knock lasts

byte script_num = 0;
int  SCRIPT_NUM_MAX = 18;

void setup()
{
  BlinkM_beginWithPower();
}

void loop()
{
  digitalWrite(ledPin,LOW);         // indicate we're waiting

  val = analogRead(knockSensorPin); // read the sensor & store "val"
  if (val >= THRESHOLD) {
    statePin = !statePin;           // toggle the status of the ledPin 
    digitalWrite(ledPin, statePin); // turn the led on or off

    BlinkM_playScript( blinkm_addr, script_num, 0,0 );

    script_num++;
    if( script_num > SCRIPT_NUM_MAX ) {
      script_num = 0;
    }
  }
  delay(100);  // 

}

